#
# spec file for package eog (Version 2.28.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           eog
Version:        2.28.2
Release:        0.1.2
License:        GPLv2+ ; LGPLv2.1+
Summary:        Eye of GNOME for the GNOME 2.x Desktop
Url:            http://www.gnome.org/
Group:          Productivity/Graphics/Viewers
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  gnome-desktop-devel
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gnome-icon-theme
BuildRequires:  intltool
BuildRequires:  libexempi-devel
BuildRequires:  libexif-devel
BuildRequires:  libjpeg-devel
BuildRequires:  liblcms-devel
BuildRequires:  librsvg-devel
BuildRequires:  python-gtk-devel
BuildRequires:  shared-mime-info
BuildRequires:  update-desktop-files
Requires:       %{name}-lang = %{version}
Provides:       eog2 = 2.20.0
Obsoletes:      eog2 <= 2.20.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq
%py_requires

%description
Eye of GNOME is a very fast picture viewer. It can be used as a plug-in
for Nautilus or as a stand-alone application. This version of EOG is
compiled for the GNOME 2.x Desktop.

%package devel
License:        GPLv2+ ; LGPLv2.1+
Summary:        Eye of GNOME for the GNOME 2.x Desktop
Group:          Productivity/Graphics/Viewers
Requires:       %{name} = %{version}
Requires:       gconf2-devel
Requires:       gtk2-devel

%description devel
Eye of GNOME is a very fast picture viewer. It can be used as a plug-in
for Nautilus or as a stand-alone application. This version of EOG is
compiled for the GNOME 2.x Desktop.

%lang_package
%prep
%setup -q

%build
%configure\
	--disable-schemas-install\
	--disable-scrollkeeper
make %{?jobs:-j%jobs}

%install
%makeinstall
%suse_update_desktop_file -r -N "Eye of Gnome" -G "Image Viewer" eog GNOME Graphics Viewer
%find_lang %{name}
%find_gconf_schemas
cat %{name}.schemas_list >%{name}.lst
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%pre -f %{name}.schemas_pre

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%files -f %{name}.lst
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_libdir}/eog
%{_datadir}/applications/eog.desktop
%{_datadir}/eog
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/icons/*/*/*/*.svg

%files lang -f %{name}.lang
# Temporary workaround to not depend on libgnome: own the directories
%defattr (-, root, root)
%dir %{_datadir}/gnome
%dir %{_datadir}/gnome/help

%files devel
%defattr (-, root, root)
%{_includedir}/eog-2.20
%{_libdir}/pkgconfig/eog.pc
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html/
%{_datadir}/gtk-doc/html/eog

%changelog
* Thu Dec 17 2009 dimstar@opensuse.org
- Update to version 2.28.2:
  + bgo#600893 - don't use LOCALMODLIBS in the configure
- Changes from version 2.28.1:
  + bgo#566104 - Reverse Left/Right arrows action in RTL mode
  + bgo#597059 - Make statusbar info string translatable
  + bgo#597754 - Incorrect behavior when slideshow delay is set to
    0 seconds.
  + Updated translations.
* Tue Sep 22 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + Updated translations.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 2.27.92:
  + bgo#592945, Images not automatically rotated
  + bgo#594403, Display order is broken in some locales
  + Updated translatins.
* Tue Aug 25 2009 vuntz@novell.com
- Update to version 2.27.91:
  + Make "Open With..." plugin look more like Nautilus's
  + Code fixes / improvements
  + Updated translations.
* Wed Aug 12 2009 captain.magnus@opensuse.org
- Update to version 2.27.90:
  + Fix crashes with plugins using Clutter 1.0
  + Make netbook-mode and xdg-fallback always enabled
  + Support Automake 1.11's silent build rules
  + Generate ChangeLog from git history
  + Build system fixes
  + bgo#590124, Eog fails to compile if exempi/exif are not
    available
  + Translation updates
* Tue Jul 28 2009 lmedinas@gmail.com
- Update to version 2.27.5:
  + Add option to move the detailled metadata list on its own page
    in the image properties dialog; useful on small screens
  + Add option to have filechooser show the XDG pictures folder by
    default if no image is loaded
  + Code improvements
  + Build system improvements / fixes
  + Bug fixes:
  - bgo#566810, Image properties dialog too big for netbooks
  - bgo#589151, Let filechooser fall back to user's pictures
    folder
  - bgo#589584, always show icon for rotate/flip menu items
  + Updated translations.
* Sun Jul 19 2009 bjorn.lie@gmail.com
- Update to version 2.27.4:
  + Allow having a "Save" button on the toolbar
  + Try to realise the main window from the main loop to reduce
    the risk of crashes when clutter-using plugins use the sidebar.
  + New and updated translations.
* Tue Jun 16 2009 vuntz@novell.com
- Update to version 2.27.3:
  + bgo#585357, Undefined entity in .de helpfile
  + Updated translations.
* Wed May 27 2009 vuntz@novell.com
- Update to version 2.27.2:
  + Interpolation controllable independently for zoom-in and
    zoom-out
  + Code improvements / fixes
  + Bug fixes:
  - bgo#491197, Avoiding zoom-in blurriness
  - bgo#583268, properties in image properties dialog not
    selectable
  - bgo#583448, Crash on exif data
  + Updated translations.
* Tue May  5 2009 vuntz@novell.com
- Update to version 2.27.1:
  + Drop libart_lgpl dependency
  + Allow disabling trash confirmation dialog
  + Shortcut improvements
  + Reduce number of exported symbols
  + UI improvements
  + Code improvements / fixes
  + Bug fixes:
  - bgo#541967, Make possible to remove image with 'Delete'
    without being asked for confirmation
  - bgo#543158, Make deletion confirmation dialog optional during
    session
  - bgo#556378, "Best Fit" zoom setting should have a shortcut
  - bgo#557317, image collection's scroll bar doesn't have a
    proportional slider
  - bgo#571732, Get rid of deprecated libart_lgpl
  - bgo#575772, Move to Trash button has no accelerator
  - bgo#576558, Crashes when trying to save write protected file
  - bgo#579212, JPEG file causes memory corruption
  - bgo#580600, eog crashes on drag&drop a directory from places
    menu
  - bgo#581180, Set as background on Right click
  + Updated translations.
- Remove libart_lgpl-devel BuildRequires.
* Tue Apr 14 2009 vuntz@novell.com
- Update to version 2.26.1:
  + UI improvements
  + Code improvements / fixes
  + bgo#575772, Move to Trash button has no accelerator
  + bgo#576558, Crashes when trying to save write protected file
  + Updated translations.
* Mon Mar 16 2009 mboman@suse.de
- Update to version 2.26.0:
  + Translation updates
- Don't package omf files twice (they are in the lang package too).
- Remove scrollkeeper and python from BuildRequires
- Remove gnome-icon-theme from Requires
- Remove AutoReqProv from -devel package
- Remove libglade2-devel from Requires in -devel package
* Sun Mar  8 2009 vuntz@novell.com
- Review changes.
* Wed Mar  4 2009 lmedinas@gmail.com
- Update to version 2.25.92:
  + Code improvements / fixes
  + Typo fixes in UI / docs
  + bgo#550086, Rotate image counterclockwise shortcut
  + bgo#558086, simplify drag targets handling
  + bgo#572410, eog crashed with SIGSEGV in g_closure_invoke()
  + bgo#572723, Misspelled word in a window
  + bgo#572889, Possible typo
  + Translation updates
  + Documentation updates
- Added libart_lgpl-devel BuildRequires to fix build
* Tue Feb 17 2009 vuntz@novell.com
- Review changes.
* Tue Feb 17 2009 lmedinas@gmail.com
- Update to version 2.25.91:
  + Additional workaround for CVE-2008-5978
  + Fixed bgo#569228: untrusted python modules search path
  + Translation updates
* Thu Feb 12 2009 vuntz@novell.com
- Review changes.
* Wed Feb  4 2009 lmedinas@gmail.com
- Update to version 2.25.90:
  + Support for deleting files that can't be trashed
  + Build system improvements / fixes
  + Code improvements / fixes
  + Bugs fixed: bgo#441637, bgo#568410, bgo#568882, bgo#569657
    bgo#569855
  + Documentation Updates
  + Translation Updates
- Drop eog-update-pc.patch commited upstream
* Fri Jan 30 2009 vuntz@novell.com
- Drop docbook_4, gnutls-devel, indent, libidl, libwnck-devel and
  perl-XML-Parser BuildRequires
- Remove pkg-config Requires on the devel package.
- Move all gtk-doc related files to the devel package.
* Thu Jan 29 2009 lmedinas@gmail.com
- Update to version 2.25.5:
  + Code improvements / fixes
  + Drop libgnome dependency
  + Bugs fixed: bgo #559500, bgo #557662, bgo #566104, bgo #566190
  + Translation updates
- Remove unneeded dependencies: libgnomeui-devel, gnome-vfs2-devel,
  libgnomeprintui-devel, eel-devel
- Add libjpeg-devel dependency to fix build
- Drop eog-nullify-gerror-450055.patch already upstream
- Add eog-update-pc.patch to update eog-pc dependencies (bgo #569657)
* Wed Jan  7 2009 lmedinas@gmail.com
- Update to version 2.25.4:
  + Code improvements / fixes
  + Python bindings improvements
  + Fix bgo #566367
  + Translation updates
* Sat Dec 20 2008 mboman@suse.de
- Update to version 2.25.3:
  + Build system improvements
  + Code improvements / fixes
  + Fetch tooltip data asynchronously
  + UI enhancements
  + Workarounds to make remote images work again
  + Fix broken keyboard keys
  + String improvements
  + Code improvements
  + Bugs fixed: bgo#559579, bgo#514352, bgo#555480, bgo#558442, bgo#560070,
    bgo#560073, bgo#563570, bgo#564290, bgo#564526, bgo#559579, bgo#560065,
    bgo#560068, bgo#560336, bgo#560396, bgo#562119
  + Translation updates
* Fri Dec 12 2008 rodrigo@novell.com
- Nullify GError before sending it to g_file_copy (bnc#450055)
* Wed Oct 22 2008 mboman@suse.de
- Update to version 2.24.1:
  + Improvements to the JPEG metadata reader
  + Fix progress reporting when images only need copying during "Save As"
  + Fix some critical warnings
  + Do not open some images at 98%% or 99%%
  + Install metadata related headers properly
  + Avoid possible markup "injection attack"
  + Docs improvements.
  + Bugs fixed: bgo#530447, bgo#555940, bgo#555942
  + Translation updates
* Wed Oct  1 2008 mboman@suse.de
- Update to version 2.24.0:
  + bgo#552109, won't set wallpaper
  + Translation updates
* Wed Sep 10 2008 maw@suse.de
- Update to version 2.23.92:
  + Fixes in recent files management
  + Fixes drawing problems on the message area
  + Fixes "Operation not supported" error on save-as-many
  + Fixes the "reload image" plugin
  + Documentation improvement: more API reference
  + Bugs fixed: bgo#548392, bgo#504538, and bgo#550252
  + Updated translations.
* Tue Sep  2 2008 mboman@novell.com
- Update to version 2.23.91:
  + Fixes segfaults with XMP-only files
  + Do not fail to show current directory in the open file chooser
  + More robust handling of image loading errors
  + Sensible UI defaults if GConf fails
  + Misc UI improvements
  + Build system and docs improvements
  + Bugs fixed: bgo#548738, bgo#547466, bgo#548736
  + Translation updates.
* Tue Aug 26 2008 mboman@novell.com
- Update to version 2.23.90:
  + Build system improvements
  + Bug fixes: bgo#547302, bgo#547566, bgo#548079, bgo#548202
  + Translation updates.
* Fri Jun 20 2008 maw@suse.de
- Update to version 2.23.4.1:
  + Bugs fixed: bgo#526483, bgo#537488, and bgo#537758
  + Updated translations.
* Wed Jun 18 2008 maw@suse.de
- Update to version 2.23.3:
  + Migration to gio/gvfs
  + An initial set of default plugins
  + New command line option --new-instance to force creation of a
    new instance instead of reusing existing one
  + PNG metadata (XMP and color profile) support
  + Enable arrow keys to scroll the image if zoomed in
  + Miscellaneous improvements in thumbnailing code
  + Several metadata handling improvements
  + Use gtk-doc to document plugin API
  + Bugs fixed: bgo#528454, bgo#533041, bgo#532925, bgo#530102,
    bgo#531300, bgo#531809, bgo#343061, bgo#427053, bgo#466566,
    bgo#492017, bgo#517017, bgo#517821, bgo#523173, bgo#525618,
    bgo#526331, bgo#527798, bgo#522077, and bgo#523856
  + Updated translations.
* Tue Apr  8 2008 maw@suse.de
- Update to version 2.22.1:
  + Improved XMP metadata support
  + Keyboard navigation fixes
  + Fixed some memory leaks, compile time warnings, and critical
    warnings
  + Bugs fixed: bgo#427053, bgo#517017, and bgo#526331
  + Updated translations.
* Fri Mar 21 2008 vuntz@suse.de
- Add a gnome-desktop-devel buildrequires to fix the build.
* Fri Mar 14 2008 maw@suse.de
- Update to version 2.22.0:
  + Contextual menu in image view widget
  + Support for resetting the toolbar to its default layout
  + Performance improvements
  + Plugin API improvements
  + Bugs fixed: bgo#519028, bgo#519910, bgo#498989, bgo#506421,
    and #509079
  + Updated translations.
* Tue Mar  4 2008 maw@suse.de
- Update to version 2.21.92:
  + Bugs fixed: bgo#513958, bgo#500203, bgo#513827, and bgo#517450
  + Updated translations
- Drop eog-fast-image-switch-crash.patch.
* Tue Feb 19 2008 rodrigo@suse.de
- Update to version 2.21.90:
  * http://ftp.gnome.org/pub/GNOME/sources/eog/2.21/eog-2.21.90.news
- Filed patch upstream (bgo#517450)
* Tue Feb  5 2008 jpr@suse.de
- Add libexempi-devel to build requires (bnc #310430)
- Enable lcms support
- Enable python plugin support
* Fri Jan 25 2008 maw@suse.de
- Update to version 2.21.4:
  + Bugs (bugzilla.gnome.org) fixed: #487075, #491092, #496464,
    [#501073], #503637, #504093, #505576, #505811, #505949, #507068,
    [#509149], #458661, #491528, #491826, #494881, #496184, #499154,
    [#499156], #480975, #482752, #475124, #475645, #476313, #476919,
    [#477550], #479029, #479400, #479884, #481096, #481301, #482128,
    [#486057], #488344, #488808, #490065, and #481712
  + Fix ICC profiles implementation
  + Do not close a window while an image is being saved
  + More discrete toolbar in fullscreen mode
  + Added documentation for the toolbar editor
  + Misc. performance improvements
  + Misc. UI improvements, code improvements, leaks fixed, etc
  + Miscellaneous fixes in the UI
  + Support for resetting the toolbar to its default layout
  + Fixes for memory leaks and code optimizations
  + Improvements in plugin API
  + Improvements in the plugin system Python bindings
  + Code cleanups
  + Updated translations.
* Thu Oct 11 2007 sbrabec@suse.cz
- Removed bogus dependency on mDNSResponder.
* Mon Sep 17 2007 mauro@suse.de 
- Update to version 2.20:
  * Complete rewrite of application core which means more stable,
    maintanable, faster image viewer for GNOME
  * New plugin system which allows developers to extend EOG's UI
    and behavior. Python support is available.
  * Editable application toolbar
  * New image collection pane with on-demand thumbnail loading,
    polished look, and continuous scrolling side buttons.
  * Side Pane to be extended by plugins
  * New image properties dialog which replaces the image info
    sidepane
  * Single instance D-Bus-based activation support
  * Revamped error/warning UI
  * "Open with" support to quickly open images on other applications
  * Mouse scrollwheel improvements: HIG compliancy and zoom factor
    setting
  * General UI polishing
  * Command line options for fullscreen, slideshow and image collection
    disabling
  * Display EXIF MakerNotes
  * XMP Support
- Patch eog-casts.patch is being removed since it's already applied upstream.
* Mon Sep 10 2007 mauro@suse.de
- Update to version 2.19.92:
  + New feature: New image collection pane layout with continuous scrolling
    side buttons
  + Bug fixes: #427046, #458663
  + Updated translations.
* Wed Aug 29 2007 maw@suse.de
- Update to version 2.19.91:
  * Features:
    + XMP support
    + Side pane can be expanded by plugins
    + Inhibit screensaver when running slideshow/fullscreen
    + Improved selection visual feedback in the image collection
    pane
  * Bugs (bugzilla.gnome.org) fixed: #470297, #311308, #467835,
    [#470416], #470686, #466681, #456451, #408591, #427806, #451101,
    [#453151], #455672, #455700, #459819, #460780, #462362, #462785,
    [#462971], #462973, #464709, #465060,and  #465628.
  * Updated translations
- Refresh eog-casts.patch.
* Tue Aug  7 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage.
* Fri Aug  3 2007 mauro@suse.de
- Update to version 2.19.4
- Bugfixes for #449741, #453503, #435408, #453064, #452923, #452886,
  [#340831], #374582, #450590, #413211, #350809, #425613, #438242,
  [#440168].
* Sat Jul 14 2007 aj@suse.de
- It's really libwnck-devel.
* Wed Jul 11 2007 maw@suse.de
- Add explicit versions in Provides: and Obsoletes:
- Buildrequire libwnck-1-22-devel instead of libwnck-devel.
* Mon Jul  9 2007 maw@suse.de
- Update to version 2.19.3
- New -devel subpackage
- Various bug fixes.
* Mon Jun 18 2007 maw@suse.de
- Update to version 2.18.2, which has the following changes (bug
  numbers are for bugzilla.gnome.org):
- Calculate correctly the maximum printed image size on
  landscape page (Claudio Saavedra)
- Fix problem when possibly applying parallel image
  transformations (Felix Riemann) [#416257]
- Update icon cache when uninstalling icons (Brian Pepple) [#432439]
- Code cleanups (Felix Riemann) [#433127]
- Correctly set slideshow delay when being entered with
  the keyboard (Ryan Cumming)
- Update README and AUTHORS files (Claudio Saavedra) [#437691]
- Fix runtime critical warnings (Claudio Saavedra) [#430021]
- Manual fixes (Felix Riemann) [#431297]
- Updated translations: Yannig Marchegay (oc), Priit Laes (et)
* Thu Jun  7 2007 sbrabec@suse.cz
- Removed invalid desktop Category "Application" (#254654).
* Fri Apr 27 2007 sbrabec@suse.cz
- Do not call meinproc (#227624).
* Wed Apr 11 2007 maw@suse.de
- Update to version 2.18.1
- Build fixes (Lucas Rocha) [#398250]
- Code cleanups (Felix Riemann)
- Fixed critical warning when launching EOG without input
  URIs (Claudio Saavedra) [#417196]
- Updated translations: Laurent Dhima (sq),
  Luca Ferretti (it), Claudio Saavedra (es),
  Josep Puigdemont i Casamajó (ca), Ignacio Casa Quinteiro (gl),
  Inaki Larranaga Murgoitio (eu), Pema Geyleg (dz)
- Updated manual translations: Claudio Saavedra (es),
  Daniel Nylander (sv), Leonardo Ferreira Fontenelle (pt_BR)
* Fri Mar 30 2007 maw@suse.de
- Update to version 2.18.0.1
- b.g.o 417684, 414968, 390266, 399982, 414547, 357427.
* Thu Mar  8 2007 maw@suse.de
- Update to version 2.17.91
- Refresh some patches that didn't cleanly apply.
* Sat Mar  3 2007 dmueller@suse.de
- readd accidentally dropped exif dependency
* Tue Feb 27 2007 dmueller@suse.de
- reduce buildrequires
* Thu Jan  4 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Fri Oct 27 2006 meissner@suse.de
- If we only have "short" space for an entry, only
  try to write a "short" in there, not a "long". #214690
* Fri Oct 13 2006 aj@suse.de
- Add gnome-doc-utils-devel to BuildRequires.
* Tue Oct  3 2006 jhargadon@suse.de
- update to version 2.16.1
- Fixed memory leaks
- Code cleanups
- Fixed critical warnings
- Make sure the correct image is displayed when reselecting the current image
  while loading another one
- Updated translations
* Thu Sep 14 2006 jhargadon@suse.de
- update to version 2.16.0.1
- Fix infinite loop on canvas destruction
- Updated translations
* Wed Aug 30 2006 jhargadon@suse.de
- update to version 2.15.92
- .desktop file small fix
- Fix error when loading images with ':' in their filenames
  from command line
- Fix critical warnings when opening remote images
- Make transparency color preferences work on full screen
  mode
- Updated translations
* Fri Aug 18 2006 jhargadon@suse.de
- update to version 2.15.91
- Small fixes on error dialog
- Fix memory leak on image transformation
- Fix typo on UI message
- Panning around the image with arrows on fullscreen mode
- Updated translations
* Wed Aug  2 2006 gekker@suse.de
- Update to version 2.15.90
- Avoid losing EXIF data when saving changed jpeg images (Felix Riemman)
  [#309219]
- Make transparent color selection work (Felix Riemman) [#347600].
- Fix crash when switching images with mouse wheel (Callum McKenzie) [#340827]
- Updated translations
- Respect desktop saving lockdown (Lucas Rocha) [#341862]
- Disable xscreensaver on fullscreen mode (#326369)
- UI redesign. Fixes bugs #148643 and #320542. (Lucas Rocha)
- Fix crash when setting window icon. Fixes bug #320245.
- More coherent fullscreen/slide show behavior. Fixes
  bug #317392. (Lucas Rocha)
- Use intuitive gnome-icon-theme icon for image viewer
  instead of EOG icon. Fixes bug #167087. (Lucas Rocha)
- Don't crash when removing images from a collection.
  Fixes bug #313003. (Lucas Rocha)
- Add image/svg+xml to the list of supported file types.
- Fix RGBA->RGB conversion when saving PNG images to JPEG.
  Fixes bug #314742. (Felix Riemann)
- Update "recent files" when viewing images. Fixes bug #316004.
  (Lucas Rocha)
- Fix crash when trying to view an image from recent list that
  doesn't exist anymore. Fixes bug #312448. (Lucas Rocha)
- Fix crash when adding new non-image files to a directory eog
  watches and when trying to view a PNG image with a JPEG extension.
  Fixes bugs #316808 and #311925. (Callum McKenzie)
* Thu Jun  1 2006 joeshaw@suse.de
- Add a patch to fix a crash when toggling very quickly between
  two images.  (bnc #180396)
* Sun Mar 26 2006 ro@suse.de
- remove scrollkeeper stuff if created on s390*
* Tue Feb 28 2006 sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Fri Feb 17 2006 sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 30 2005 gekker@suse.de
- Update to version 2.12.2
* Wed Oct  5 2005 sbrabec@suse.cz
- Fixed gcc cast warnings.
* Mon Sep  5 2005 sbrabec@suse.cz
- Updated to version 2.12.0.
* Mon Aug 22 2005 gekker@suse.de
- Update to version 2.11.92
* Tue Aug  2 2005 gekker@suse.de
- Update to version 2.11.90
* Thu Jul 21 2005 gekker@suse.de
- Update to version 2.11.0
* Fri Jun 17 2005 gekker@suse.de
- Update to 2.10.0 (GNOME 2.10).
* Thu Feb 24 2005 sbrabec@suse.cz
- Removed gconf makefile-uninstall-rule (#33114).
* Tue Jan  4 2005 gekker@suse.de
- Update to version 2.9.0
- Removed exif patch which is no longer needed
* Wed Oct 27 2004 mmj@suse.de
- Locale rename no to nb
* Wed Aug 25 2004 clahey@suse.de
- Cache eog help files and have eog show up in khelpcenter.
- Only apply libexif patch if suse_version > 910.
* Fri Jul 30 2004 meissner@suse.de
- Fixed to work with newer libexif version.
* Mon Apr 26 2004 sbrabec@suse.cz
- Updated to version 2.6.1 (GNOME 2.6).
* Tue Feb 24 2004 sbrabec@suse.cz
- Use gconftool-2 scriptlets correctly.
* Fri Feb 20 2004 sbrabec@suse.cz
- Fixed PreReq.
* Fri Feb 20 2004 sbrabec@suse.cz
- Package renamed to eog.
* Thu Feb 12 2004 hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Mon Oct 27 2003 sbrabec@suse.cz
- Updated to version 2.4.1 (GNOME 2.4).
* Wed Sep 17 2003 adrian@suse.de
- Martin wished to get it in Viewer menu
* Tue Aug 19 2003 sbrabec@suse.cz
- Updated neededforbuild (rename of librsvg2, eel2).
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Fri Jul 11 2003 hhetter@suse.de
- %%_lib fixes
- %%files fixes
* Thu Jun 26 2003 sbrabec@suse.cz
- Updated to version 2.2.2.
- Updated neededforbuild.
- Use %%find_lang.
* Tue Jan 28 2003 hhetter@suse.de
- updated to 2.2.0
* Mon Jan 20 2003 ro@suse.de
- update to 1.1.4
- review filelist
* Thu Nov 28 2002 hhetter@suse.de
- updated to version 1.0.4 [GNOME 2.0.3]
* Mon Nov 11 2002 ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Tue Oct 22 2002 hhetter@suse.de
- updated to stable version 1.0.3
- remove wrong docdir
- %%_lib fixes
- FHS fix
* Mon Sep 23 2002 sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Tue Aug 20 2002 hhetter@suse.de
- added PreReq: filesystem
* Tue Aug 13 2002 ro@suse.de
- remove control-center from neededforbuild
* Tue Aug  6 2002 hhetter@suse.de
- updated to version 1.0.2
  * We don't crash anymore if the user doesn't have
  permissions to read
  a file - #85263
  * We do the right thing to destroy the window
  list on File/Exit -
  [#86469]
  * Components are installed in $(libexec)
  * The window is correctly sized upon startup,
  and you can shrink it
  again - #72352, #75713
  * No distorted view when resizing an empty window - #85927
  * DnD into an empty window doesn't open a new window.
  * New Bulgarian translation
  * Load control ui xml file correctly
  * New Albanian translation
- libexec filelist corrections
* Thu Jun 20 2002 hhetter@suse.de
- don't install schemas while make install
* Thu Jun 20 2002 hhetter@suse.de
- updated to version 1.0.1
- provide bonobo servers
* Fri Jun 14 2002 hhetter@suse.de
- filelist fix
* Thu Jun 13 2002 hhetter@suse.de
- supply schema file
* Tue Jun 11 2002 hhetter@suse.de
- updated to version 1.0.0
* Fri Jun  7 2002 hhetter@suse.de
- initial SuSE Release
